> For the complete documentation index, see [llms.txt](https://docs.exploratory.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exploratory.io/machine-learning.md).

# Machine Learning

- [Linear Regression](https://docs.exploratory.io/machine-learning/linear-regression.md)
- [Logistic Regression](https://docs.exploratory.io/machine-learning/logistic-regression.md)
- [GLM](https://docs.exploratory.io/machine-learning/glm.md)
- [Multinomial Logistic Regression](https://docs.exploratory.io/machine-learning/multinom.md)
- [K-means Clustering](https://docs.exploratory.io/machine-learning/kmeans.md)
- [Random Forest](https://docs.exploratory.io/machine-learning/random-forest.md)
- [XGBoost](https://docs.exploratory.io/machine-learning/xgboost.md)
- [Forecasting](https://docs.exploratory.io/machine-learning/forecasting.md)
- [Time Series Clustering](https://docs.exploratory.io/machine-learning/timeseries_clustering.md)
- [Anomaly Detection](https://docs.exploratory.io/machine-learning/anomaly.md)
- [Survival Curve](https://docs.exploratory.io/machine-learning/survival-curv.md)
- [Survival Model (Cox Regression)](https://docs.exploratory.io/machine-learning/cox-regression.md)
- [Market Basket](https://docs.exploratory.io/machine-learning/arules.md)
- [Causal Impact](https://docs.exploratory.io/machine-learning/causal_impact.md)
- [Evaluate Prediction - Regression](https://docs.exploratory.io/machine-learning/evaluate_regression.md)
- [Evaluate Prediction - Binary](https://docs.exploratory.io/machine-learning/evaluate_binary.md)
- [Calculate ROC](https://docs.exploratory.io/machine-learning/do_roc.md)
- [Evaluate Prediction - Multiclass](https://docs.exploratory.io/machine-learning/evaluate_multi.md)
- [Prediction](https://docs.exploratory.io/machine-learning/prediction.md)
- [Prediction - Binary Classification](https://docs.exploratory.io/machine-learning/prediction_binary.md)
- [Prediction - Survival Model](https://docs.exploratory.io/machine-learning/prediction_coxph.md)
- [Simulate Survival Curve](https://docs.exploratory.io/machine-learning/prediction_survfit.md)
- [Extract Summary of Fit](https://docs.exploratory.io/machine-learning/model_stats.md)
- [Extract Parameter Estimates](https://docs.exploratory.io/machine-learning/model_coef.md)
- [Run ANOVA Test](https://docs.exploratory.io/machine-learning/model_anova.md)
- [Fix Imbalanced Data (SMOTE)](https://docs.exploratory.io/machine-learning/smote.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.exploratory.io/machine-learning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
